Bug 453026 - Review Request: xmp - A multi-format module player
Review Request: xmp - A multi-format module player
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karol Trzcionka
Fedora Extras Quality Assurance
:
Depends On: 453035 454364
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-26 15:06 EDT by Dominik 'Rathann' Mierzejewski
Modified: 2008-12-06 23:31 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-06 23:28:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
karlikt: fedora‑review+
huzaifas: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2008-06-26 15:06:24 EDT
Spec URL: http://rathann.fedorapeople.org/review/xmp.spec
SRPM URL: http://rathann.fedorapeople.org/review/xmp-2.5.1-1.fc8.src.rpm
Description:
The Extended Module Player is a modplayer for Unix-like systems that plays
over 80 mainstream and obscure module formats from Amiga, Atari, Acorn,
Apple IIgs and PC, including Protracker (MOD), Scream Tracker 3 (S3M), Fast
Tracker II (XM) and Impulse Tracker (IT) files.
Comment 1 Dominik 'Rathann' Mierzejewski 2008-06-26 15:30:12 EDT
# work around missing BRs in audacious-devel in rawhide
BuildRequires: dbus-glib-devel

Filed bug 453035.
Comment 2 Charles R. Anderson 2008-06-26 16:52:11 EDT
On naming, it looks like most audacious plugin packages are named
audacious-plugins-*.  The only exception is audacious-plugin-fc.  The "plugins"
packages appear to be all built from a single audacious-plugins src.rpm, so it
makes sense to use "plugins" for that.  The fc plugin is a single plugin built
from its own audacious-plugin-fc.src.rpm package.

audacious.i386                           1.4.6-1.fc9            installed       
audacious-libs.i386                      1.4.6-1.fc9            installed       
audacious-plugin-fc.i386                 0.2-6                  installed       
audacious-plugins.i386                   1.4.5-1.fc9            installed       
audacious-plugins-amidi.i386             1.4.5-1.fc9            installed       
audacious-plugins-vortex.i386            1.4.5-1.fc9            installed       
audacious-plugins-wavpack.i386           1.4.5-1.fc9            installed       
Available Packages
audacious-devel.i386                     1.4.6-1.fc9            fedora          
audacious-plugins-arts.i386              1.4.5-1.fc9            fedora          
audacious-plugins-esd.i386               1.4.5-1.fc9            fedora          
audacious-plugins-jack.i386              1.4.5-1.fc9            fedora          
audacious-plugins-metronome.i386         1.4.5-1.fc9            fedora          

Thoughts?  "audacious-plugin-xmp" is consistent with the fc plugin, so I'm okay
with that naming.
Comment 3 Charles R. Anderson 2008-07-01 22:55:27 EDT
Looks good with the exception of the OCL-licensed gdm.txt which needs to be
addressed.

Koji scratch builds:

f10: http://koji.fedoraproject.org/koji/taskinfo?taskID=691355
f9: http://koji.fedoraproject.org/koji/taskinfo?taskID=691372

Initial package review:
+ = passes review item
- = fails review item
? = question or clarification needed

MUST Items:

+ rpmlint returns no output
+ naming is good
+ spec name matches package name
+ does not include pre-built binaries or libraries
+ patches look fine
+ summary and description looks good
+ %changelog good
+ RPM_OPT_FLAGS are being used
+ debuginfos look good
+ noreplace is used on config files
- License matches source license GPLv2+, however there is a file in the source
under Open Content License which is not good:

xmp-2.5.1/docs/formats/gdm.txt
"This document is Copyright 1999 by MenTaLguY, and can be copied,
modified and subsequently redistributed under the terms of the OpenContent
Public License as indicated below:"

+ License COPYING file is packaged as %doc
+ spec is written in American english
+ spec is legible
+ sources match upstream download (no upstream md5/sha1 sums available)
sha1sum:
20ce22f453e49adb590b3cbd3ae3e812eb7de4ee  xmp-2.5.1.tar.gz
+ package builds on all supported archs
+ BuildRequires are good
+ no locale data, hence no need for %find_lang macro
+ no libraries in standard paths, hence no requirement for ldconfig in %post
+ package is not relocatable
+ owns all directories it creates
+ no duplicates in %files
+ good permissions on %files
+ good %clean section
+ good buildroot
+ consistent use of macros
+ package contains permissable code
- package contains content under a bad license:
OCL licensed xmp-2.5.1/docs/formats/gdm.txt
+ no large doc files
+ docs not required to run, program works without %doc
+ no header files
+ no static libs
+ no pkgconfig files
+ no suffixed library files (.so.1.1)
+ no -devel subpackage
+ no libtool archives (.la)
+ not a GUI program, .desktop file not needed
+ does not own paths owned by other packages
+ rm -rf %{buildroot} at top of %install
+ valid UTF-8 filenames in package
Comment 4 Dominik 'Rathann' Mierzejewski 2008-07-07 14:01:53 EDT
Spec URL: http://rathann.fedorapeople.org/review/xmp.spec
SRPM URL: http://rathann.fedorapeople.org/review/xmp-2.5.1-2.fc8.src.rpm

(In reply to comment #2)
> On naming, it looks like most audacious plugin packages are named
> audacious-plugins-*.  The only exception is audacious-plugin-fc.  The "plugins"
> packages appear to be all built from a single audacious-plugins src.rpm, so it
> makes sense to use "plugins" for that.  The fc plugin is a single plugin built
> from its own audacious-plugin-fc.src.rpm package.
[...]
> Thoughts?  "audacious-plugin-xmp" is consistent with the fc plugin, so I'm
> okay with that naming.

I think *-plugin-* is a better name, too.

(In reply to comment #3)
> Looks good with the exception of the OCL-licensed gdm.txt which needs to be
> addressed.

Fixed in 2.5.1-2 by repackaging the tarball without the problematic file.
I'll ask upstream about removing that file later.
Comment 5 Karol Trzcionka 2008-09-05 09:45:47 EDT
Please add script to generate tarball according to http://fedoraproject.org/wiki/Packaging/SourceURL#When_Upstream_uses_Prohibited_Code
but at now it is not a blocker.
others:
+ rpmlint returns only:
audacious-plugin-xmp.x86_64: W: no-documentation
xmms-xmp.x86_64: W: no-documentation
it might be ignored
+ naming is OK
+ specfile named correct
+ package meets Guidelines
+ License is correct (files which cannot be shipped by Fedora are removed)
+ License tag is ok
+ COPYING file correctly provided
+ I think it is American English
+ specfile is clear for me
+ tarball is changed, so I don't compare md5sum
+ building checked before on koji
+ N/A
+ compiled on koji fine, so I think BRs are correct
+ N/A
+ N/A
+ OK, using macros instead of hardcoded paths
+ correct own all files
+ there are no duplicates in %files
+ %defattr used
+ correct %clean section
+ macros are used correctly
+ nonfree file is removed
+ N/A
+ %doc doesn't affect the runtime of app
+ N/A
+ N/A
+ N/A
+ N/A
+ N/A
+ there are not any .la files
+ N/A
+ correct owns all files
+ correct %install section
+ RPMs have valid UTF-8 files

SHOULD Items:
+ N/A (license is included)
+ N/A (no translations)
+ chacked on koji by Charles
+ like above
? I cannot check working
+ N/A
? probably it is not needed to requires it with full version
+ N/A (no .pc files)
+ dependencies are correct

I can approve but change comment about removing a file.
Comment 6 Dominik 'Rathann' Mierzejewski 2008-10-13 14:39:34 EDT
Thanks for the review (both of you). I'll build it as soon as bug 454364 is fixed.
Comment 7 Dominik 'Rathann' Mierzejewski 2008-10-13 14:43:36 EDT
New Package CVS Request
=======================
Package Name: xmp
Short Description: A multi-format module player
Owners: rathann
Branches: F-9 F-8
InitialCC:
Comment 8 Huzaifa S. Sidhpurwala 2008-10-15 01:23:35 EDT
cvs done
Comment 9 Fedora Update System 2008-11-16 19:18:22 EST
xmp-2.5.1-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/xmp-2.5.1-3.fc10
Comment 10 Fedora Update System 2008-11-16 19:19:04 EST
xmp-2.5.1-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/xmp-2.5.1-3.fc9
Comment 11 Fedora Update System 2008-11-16 19:19:36 EST
xmp-2.5.1-3.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/xmp-2.5.1-3.fc8
Comment 12 Fedora Update System 2008-11-19 09:52:00 EST
xmp-2.5.1-3.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xmp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-9738
Comment 13 Fedora Update System 2008-11-19 09:56:31 EST
xmp-2.5.1-3.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xmp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-9788
Comment 14 Fedora Update System 2008-11-22 11:48:38 EST
xmp-2.5.1-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xmp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/f10/FEDORA-2008-9966
Comment 15 Fedora Update System 2008-12-06 23:11:06 EST
xmp-2.5.1-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2008-12-06 23:28:40 EST
xmp-2.5.1-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2008-12-06 23:31:22 EST
xmp-2.5.1-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.